@footer-height: 20px;
@container-md-max-width: 1100px;

[v-cloak] { display: none; }

html, body {
  height: 100%;
  margin: 0;
}

div .body-content > div {
	flex-grow: 1;
	display: flex;
	flex-direction: column;
}

[purpose='page-wrap'] {
  height: 100%;
  /* lesshint-disable */height: auto !important;/* lesshint-enable */
  // ^^The above is to disable "importantRule" and "duplicateProperty" rules.
  min-height: 100vh;
  // position: relative;
  // padding-bottom: @footer-height;
}

[purpose='page-footer'] {
  border-top: 1px solid rgba(0, 0, 0, 0.1);
  // height: @footer-height;
  width: 100%;
}




// .loading-screen {
//   z-index: 999;
//   height: 100vh;
//   width: 100vw;
//   position: fixed;
//   left: 0;
//   top: 0;
//   background-color: rgba(0, 0, 0, 0.05);
// }

// .loading-icon-container {
//   padding: 15px;
//   border-radius: 45px;
//   height: 250px;
//   width: 250px;
//   background-color: rgba(0, 0, 0, 0.2);
//   font-size: 3rem;
//   color: #eee;
// }

// .loader {
//   width: 180px;
//   height: 140px;
//   left: 2px;
//   display: block;
//   margin: 0 auto 20px;
//   background-image: radial-gradient(circle 25px at 25px 25px, #FFF 100%, transparent 0), radial-gradient(circle 50px at 50px 50px, #FFF 100%, transparent 0), radial-gradient(circle 25px at 25px 25px, #FFF 100%, transparent 0), radial-gradient(circle 15px at 15px 15px, #FFF 100%, transparent 0), linear-gradient(#FFF 50px, transparent 0);
//   background-size: 50px 50px, 100px 75px, 50px 50px, 30px 32px, 130px 20px;
//   background-repeat: no-repeat;
//   background-position: 10px 30px, 30px 0px, 108px 29px, 140px 50px, 30px 60px;
//   position: relative;
//   box-sizing: border-box;
// }
// .loader::after {
//   content: '';  
//   position: absolute;
//   left: 3px;
//   top: 65px;
//   width: 2px;
//   height: 6px;
//   color: #FFF;
//   box-sizing: border-box;
//   animation: rain 0.6s linear infinite;
// }

// @keyframes rain {
//   0% {
//     box-shadow: 25px 0 white, 50px 0 white, 75px 0 white, 100px 0 white, 125px 0 white, 150px 0 white, 25px 0 white, 50px 0 white, 75px 0 white, 100px 0 white, 125px 0 white, 150px 0 white;
//   }
//   50% {
//     box-shadow: 25px 20px white, 50px 60px rgba(255, 255, 255, 0), 75px 30px rgba(255, 255, 255, 0), 100px 70px rgba(255, 255, 255, 0), 125px 40px white, 150px 60px rgba(255, 255, 255, 0), 25px 20px white, 50px 30px white, 75px 10px white, 100px 30px white, 125px 30px rgba(255, 255, 255, 0), 150px 30px rgba(255, 255, 255, 0);
//   }
//   100% {
//     box-shadow: 30px 60px rgba(255, 255, 255, 0), 50px 60px rgba(255, 255, 255, 0), 75px 50px rgba(255, 255, 255, 0), 100px 70px rgba(255, 255, 255, 0), 125px 70px rgba(255, 255, 255, 0), 150px 60px rgba(255, 255, 255, 0), 30px 80px rgba(255, 255, 255, 0), 50px 80px rgba(255, 255, 255, 0), 75px 70px rgba(255, 255, 255, 0), 100px 60px rgba(255, 255, 255, 0), 125px 30px rgba(255, 255, 255, 0), 150px 30px rgba(255, 255, 255, 0);
//   }
// }


// .loader-bucket {
//   width: 35px;
//   height: 50px;
//   display: inline-block;
//   position: relative;
//   border: 2px solid #FFF;
//   box-sizing: border-box;
//   animation: bucket 2s linear infinite;
//   color: #EEE;
//   border-radius: 0 0 10px 10px;
//   transform: perspective(50px) rotateX(-35deg);
// }

// @keyframes bucket {
//   0% {
//     box-shadow: 0 0  inset;
//   }
//   // 70% {
//   //   box-shadow: 0 -35px inset;
//   // }
//   95% {
//     box-shadow: 0 -50px inset;
//   }
//   100% {
//     box-shadow:rgba(255, 255, 255, 0);
//   }
// }



body.detected-mobile {
  // Above and beyond the media queries below, this selector (which relies on
  // `parasails` automatically attaching this class, if appropriate) contains
  // styles intended to be activated specifically when loaded from a recognized
  // mobile device, regardless of viewport dimensions.  This includes tablet
  // devices (like the iPad) as well as handset devices (like the iPhone).
  // …
}

// Small
@media (max-width: 767px) {
  [purpose='page-footer'] {
    border-top: 1px solid rgba(0, 0, 0, 0.1);
    // height: @footer-height;
    width: 100%;
    display: inline-block;
    text-align: center;
  }

  [purpose='footer-nav'] {
    justify-content: center;
  }


  .mobileHide {
    display: none;
  }
}

// Extra small
@media (max-width: 575px) {

}
